define(['modules/Config'],function(){
    var _game = null,
        _nextState = null;
 
    //Loading State
    var _Boot = {        
        preload: function(){
			//Background
			console.log("Boot:preload");
			//info.createInfo("Boot")
			// load.spritesheet(key, url, frameWidth, frameHeight, numberOfFrames);
			_game.load.spritesheet('preloaderBackground', 'assets/sprites/spritesheets/preloader.png',101,101,19);
        	
            //Config.init(_game);
            //Config.preload();
		},
		create: function(){
			var frames;
			console.log("Boot:create");
			frames = [];
			for (i=0;i<19;i++)
			{
				frames.push(i);
			}
			var preloadBar = _game.add.sprite(_game.world.centerX-50,_game.world.centerY-50,'preloaderBackground');
			
			//preloadBar.anchor.setTo(0.5, 0.5);
			preloadBar.animations.add('animate',frames,15,true,true);
			//animations.play(animationKey, frameRate, loop);
			preloadBar.animations.play('animate');
			this.stage.scaleMode = Phaser.ScaleManager.SHOW_ALL;
			this.stage.scale.minWidth = 480;
			this.stage.scale.minHeight = 260;
			this.stage.scale.maxWidth = 800;
			this.stage.scale.maxHeight = 600;
			this.stage.scale.forceLandscape = true;
			this.stage.scale.pageAlignHorizontally = true;
			this.game.scale.setScreenSize(true);
			 //  Unless you specifically need to support multitouch I would recommend setting this to 1
            this.input.maxPointers = 1;
 
            //  Phaser will automatically pause if the browser tab the game is in loses focus. You can disable that here:
            this.stage.disableVisibilityChange = true;
 
			 if (_game.device.desktop) {
                //  If you have any desktop specific settings, they can go in here
                this.stage.scale.pageAlignHorizontally = true;
				 console.log("device.desktop");
            }
            else {
				 console.log("device.mobile");
				this.stage.scaleMode = Phaser.ScaleManager.SHOW_ALL;
			this.stage.scale.minWidth = 600;
			this.stage.scale.minHeight = 800;
			this.stage.scale.maxWidth = 600;
			this.stage.scale.maxHeight = 1024;
			this.stage.scale.forceLandscape = true;
			this.stage.scale.pageAlignHorizontally = true;
			this.game.scale.setScreenSize(true);
                //  Same goes for mobile settings.
            }
			//Config.create();
            _game.state.start('Load');
        }
    }
	 return{
        init: function(game,nextStage){
			console.log("Boot:init", nextStage);
            _game = game;
            _nextStage = nextStage;
        },
		 
        getBootState: function(){
            return(_Boot);
        }
        
    }
})