'use strict';

define(['modules/Hud','modules/Intro','modules/Level','modules/Player','modules/Guards'],function(HUD,Intro,Level,Player,Guards){
    var _game = null,
        _nextState = null;
    
    //Start State
    var _GamePlay = {                    
        create: function(){
           console.log("GamePlay:create");
        	var lvl = Level.getLevel();
			console.log("Gameplay active level: ",lvl.level);
			console.log("GamePlay:nextState",_nextState);
			HUD.createTitle("GamePlay");
			 _game.input.keyboard.addKey(Phaser.Keyboard.SPACEBAR).onDown.addOnce(function(){
               _game.state.start(_nextState);
            });  
			// add logic to prepare layer data, store score,reset lives and other hud and player objects
        },
		update: function(){
           
			Level.update();
		}
    }

    return{
        init: function(game,nextState){
			console.log("GamePlay:init", nextState);
            _game = game;
            _nextState = nextState;
        },
        getGamePlayState: function(){
            return(_GamePlay);
        }

    }
})