/*
  Phaser STeam
  This  example illustrates a platform game.
*/
/**
 * Created by carter on 2014.09.05..
 */
 console.log("steam.js");
'use strict';

define(['phaser',
        'state/boot',
        'state/preload',
		'state/mainIntro',
        'state/mainMenu',
		'state/levelControl'],
 
       function(Phaser,
                BootState,
                PreloadState,
				MainIntroState,
                MainMenuState,
				LevelControlState
				
               ) {

           function Game() {}

           Game.prototype = {
               start: function() {
                   var game = new Phaser.Game(800, 600, Phaser.AUTO, 'game');

                   game.state.add('boot', BootState);
                   game.state.add('preload', PreloadState);
				   game.state.add('mainIntro', MainIntroState);
                   game.state.add('mainMenu', MainMenuState);
				   game.state.add('levelControl', LevelControlState);
                  
                 
                   game.state.start('boot');
               }
           };

           return Game;
       });
